package com.yeejoin.amos.bank.dao;

import com.yeejoin.amos.bank.entity.BankInfo;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: xinglei
 * @Description:
 * @Date: 2020/1/15 14:34
 */
@Repository
public interface BankInfoDao extends IBaseRepository<BankInfo, Long> {

    @Query(value="select * from b_bank_info where source_id =?1",nativeQuery=true )
    BankInfo findBySourceId(Long sourseId);

    @Modifying
    @Transactional
    @Query(value="update b_bank_info set status = ?1 where source_id =?2",nativeQuery=true )
    void updateBySourceId(int status, Long sourseId);
}
